# Note: All three functions should be added together if used at all.
# Ref/Attrib: [1] Yell, Die, Try Three-Fingered Claw technique https://stackoverflow.com/a/25515370
# Depends: GNU Coreutils 8.30
-# Version 1.0.0
+# Version 1.0.1
#==BEGIN Define script parameters==
#==END Define script parameters==
#===BEGIN Declare local script functions===
yell() { echo "$0: $*" >&2; } # print script path and all args to stderr
die() { yell "$*"; exit 111; } # same as yell() but non-zero exit status
+dief() { yell "$*"; return 111; } # same as die() but meant for functions to avoid exiting main shell
must() { "$@" || die "cannot $*"; } # runs args as command, reports args if command fails
#===END Declare local script functions===